# 63. Mutacja: zapisz organizację

Mutacja dodająca lub edytująca „Organizację”. „Użytkownik”, który wysłał żądanie saveOrganization, będzie właścicielem „Organizacji”.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacja saveOrganizationSample {
  saveOrganization(
    input: {
      name: "Nazwa organizacji"
      surname: "Nazwisko właściciela"
      givenName: "Imię właściciela"
      email: "właściciel@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    nazwa
    nazwisko
    imię
    email
    telefon
    dataUtworzenia
    dataAktualizacji
  }
}
```

{% endcode %}

Aby edytować istniejącą „Organizację”, dodaj atrybut uuid do żądania.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacja saveOrganizationSample {
  saveOrganization(
    input: {
      uuid: "<organization_uuid>"
      name: "Nowa nazwa organizacji"
      surname: "Nazwisko właściciela"
      givenName: "Imię właściciela"
      email: "owner_info@gmail.com"
      phone: "+0"
    }
  ) {
    uuid
    nazwa
    nazwisko
    imię
    email
    telefon
    dataUtworzenia
    dataAktualizacji
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/63.-mutacja-zapisz-organizacje.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
